Bug 432673 - Keyboard input not passed to Adobe Reader plugin
Keyboard input not passed to Adobe Reader plugin
Status: CLOSED DUPLICATE of bug 388961
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
8
All Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
pleaForReproductionFF3
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-13 13:48 EST by Per Nystrom
Modified: 2008-02-25 02:59 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-25 02:59:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 78414 None None None Never

  None (edit)
Description Per Nystrom 2008-02-13 13:48:07 EST
Description of problem:

I've installed the Adobe Reader plugin, and none of my keyboard inputs work in
that window: I can't scroll with arrows or page-up/page-down; I can't even fill
in the search field to find things in the PDF.  These all work outside of
Firefox; if I start acroread from the command line I have no problems.

Version-Release number of selected component (if applicable):

# cat /etc/redhat-release 
Fedora release 8 (Werewolf)
# uname -r
2.6.23.14-107.fc8
# rpm -q firefox
firefox-2.0.0.10-3.fc8

Attempted and failed with all of these versions of the Adobe Reader:
AdobeReader_enu-7.0.9-1.i386.rpm
AdobeReader_enu-8.1.1-1.i486.rpm
AdobeReader_enu-8.1.2-1.i486.rpm

How reproducible:
100%

Steps to Reproduce:
1. Download and install Adobe Reader plugin
2. Start Firefox
3. Open a URL to a PDF
4. Try to use the keyboard
  
Actual results:
Keyboard inputs ignored

Expected results:
Keyboard should work

Additional info:
I also tried it with Seamonkey and got the same problem.
# rpm -q seamonkey
seamonkey-1.1.3-8.fc8

Also, I am using the dvorak keyboard map.  I don't know if this matters, as I
have not tried it with any other keyboard map.
Comment 1 Per Nystrom 2008-02-14 03:05:34 EST
I just updated to firefox-2.0.0.12-1.fc8.  It still has the same problem.
Comment 2 Matěj Cepl 2008-02-14 09:34:54 EST
We found that this bug has been already registered in the upstream database
(https://bugzilla.mozilla.org/show_bug.cgi?id=78414) and believe that it is more
appropriate to let it be resolved upstream.

I know that the upstream bug is really ancient, but I am afraid that we are not
able to fix this here at all.

Red Hat will continue to track the issue in the centralized upstream bug
tracker, and will review any bug fixes that become available for consideration
in future updates.

Thank you for the bug report.
Comment 3 Per Nystrom 2008-02-14 11:42:32 EST
I looked at the bug you referenced as a duplicate, and this is NOT THE SAME --
in fact, it's more like the opposite.

In this case, the browser seems to keep focus and none of the keyboard inputs
get passed to the plugin.  Only mouse operations work.

For example, I open a PDF inside the browser using the Acrobat Reader plugin and
I want to find something in the document.  I press CTRL-F, which normally opens
the "Find" dialog in the plugin.  It does not.  So I click on the "Find" button
in the plugin to get the dialog, and then click on the text field to fill in the
string I want to find.  I type, and nothing happens.

Comment 4 Matěj Cepl 2008-02-21 17:34:57 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 5 Matěj Cepl 2008-02-21 17:36:19 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 6 Per Nystrom 2008-02-21 23:28:11 EST
I'm almost positive the problem is not upstream.  I just now downloaded the
firefox-2.0.0.12.tar.gz tarball from mozilla.com, installed it in a user
directory, put the Adobe Reader plugin in that plugins directory, fired it up
and opened a PDF, and the keyboard works just fine in the plugin.  One
difference I noticed is that the mozilla.com tarball depends on libstdc++.so.5,
for which I had to install compat-libstdc++-33.

There is clearly something wrong with the way it's packaged or compiled in the
rpm, or the way it's being deployed and configured by the rpm utilities.  I am
downloading the Fedora-9-Alpha-DVD spin now and will soon find out if the bug
still exists in that.

Meanwhile, if this info rings any bells that point to a quick fix, and we can
get it into the F8 updates, I would be very grateful.
Comment 7 Martin Stransky 2008-02-22 04:47:42 EST
Please check if it's a dupe of Bug 388961.
Comment 8 Martin Stransky 2008-02-22 08:34:32 EST
Do you use nspluginwrapper? It does not allow keyboard focus for wrapped plugins
- it's a known issue. 
Comment 9 Per Nystrom 2008-02-23 13:14:33 EST
Yes, apparently this is hitting the nspluginwrapper bug.  I added nppdf* to the
IGNORE_WRAP= string in /etc/sysconfig/nspluginwrapper, then ran: 
mozilla-plugin-config -r
mozilla-plugin-config -i

Now it works like it's supposed to.

I haven't yet had a chance to find out if the bug still exists in F9...
Comment 10 Martin Stransky 2008-02-25 02:59:29 EST
The bug is still here.

*** This bug has been marked as a duplicate of 388961 ***

Note You need to log in before you can comment on or make changes to this bug.